langcode: en
status: true
dependencies:
  config:
    - media.type.media_file
  module:
    - dropzonejs_eb_widget
    - entity_browser_entity_form
    - media
name: h4c_media_file_browser
label: 'Media File Browser'
display: iframe
display_configuration:
  width: 100%
  height: '500'
  link_text: 'Add file'
  auto_open: true
selection_display: no_display
selection_display_configuration: {  }
widget_selector: single
widget_selector_configuration: {  }
widgets:
  07662027-a8d0-4a82-9fe7-51dc5efcfc86:
    settings:
      form_mode: media_library
      media_type: media_file
      upload_location: 'public://[date:custom:Y]-[date:custom:m]'
      dropzone_description: 'Drop file here to upload it, allowed formats: txt doc xls pdf ppt pps odt ods odp'
      max_filesize: 32M
      extensions: 'txt doc xls pdf ppt pps odt ods odp'
      clientside_resize: false
      resize_width: null
      resize_height: null
      resize_quality: !!float 1
      resize_method: contain
      thumbnail_method: contain
      submit_text: 'Add file'
    uuid: 07662027-a8d0-4a82-9fe7-51dc5efcfc86
    weight: 3
    label: 'Upload file'
    id: dropzonejs_media_entity_inline_entity_form
  fa606341-1778-4ca2-87cc-7d174093d55f:
    settings:
      entity_type: media
      bundle: media_file
      form_mode: media_library
      submit_text: 'Add file'
    uuid: fa606341-1778-4ca2-87cc-7d174093d55f
    weight: 3
    label: 'Upload file (alternative)'
    id: entity_form
